## python-doubleratchet 1.0.3

=== requirements.txt ===
cryptography>=3.3.2
pydantic>=1.7.4
typing-extensions>=4.3.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = DoubleRatchet
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-doubleratchet 0.6.0

=== debian/changelog ===
python-doubleratchet (0.6.0-1) unstable; urgency=medium

  * New upstream version

 -- W. Martin Borgert <debacle@debian.org>  Sun, 13 Jan 2019 23:24:03 +0000

python-doubleratchet (0.3.1-1) unstable; urgency=medium

  * Initial package (Closes: #908031)

 -- W. Martin Borgert <debacle@debian.org>  Wed, 05 Sep 2018 20:49:12 +0000

=== debian/control ===
Source: python-doubleratchet
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11),
	dh-python,
	python-all,
	python-cryptography,
	python-setuptools,
	python3-all,
	python3-cryptography,
	python3-setuptools,
Standards-Version: 4.2.1
Rules-Requires-Root: no
Homepage: https://pypi.org/project/DoubleRatchet/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-doubleratchet.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-doubleratchet

Package: python-doubleratchet
Architecture: all
Depends: ${misc:Depends},
	${python:Depends},
Description: Python 2 implementation of the Double Ratchet algorithm
 This python library offers an implementation of the Double Ratchet
 algorithm as specified here.
 .
 The goal is to provide a configurable and independent implementation of
 the algorithm, while keeping the structure close to the specification
 and providing recommended settings.
 .
 This library was developed as part of python-omemo, a pretty cool
 end-to-end encryption protocol.
 .
 This package provides the Python 2.7 module.

Package: python3-doubleratchet
Architecture: all
Depends: ${misc:Depends},
	${python3:Depends},
Description: Python 3 implementation of the Double Ratchet algorithm
 This python library offers an implementation of the Double Ratchet
 algorithm as specified here.
 .
 The goal is to provide a configurable and independent implementation of
 the algorithm, while keeping the structure close to the specification
 and providing recommended settings.
 .
 This library was developed as part of python-omemo, a pretty cool
 end-to-end encryption protocol.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=doubleratchet

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## python-doubleratchet 0.7.0~beta

=== debian/changelog ===
python-doubleratchet (0.7.0~beta-1) unstable; urgency=medium

  * New upstream version.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Martin <debacle@debian.org>  Sun, 13 Mar 2022 17:26:27 +0000

python-doubleratchet (0.6.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937717

 -- Sandro Tosi <morph@debian.org>  Fri, 24 Jan 2020 22:40:51 -0500

=== debian/control ===
Source: python-doubleratchet
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Martin <debacle@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
	dh-python,
	python3-all,
	python3-cryptography,
	python3-setuptools,
Standards-Version: 4.2.1
Rules-Requires-Root: no
Homepage: https://github.com/Syndace/python-doubleratchet
Vcs-Git: https://salsa.debian.org/python-team/packages/python-doubleratchet.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-doubleratchet

Package: python3-doubleratchet
Architecture: all
Depends: ${misc:Depends},
	${python3:Depends},
Description: Python 3 implementation of the Double Ratchet algorithm
 This python library offers an implementation of the Double Ratchet
 algorithm as specified here.
 .
 The goal is to provide a configurable and independent implementation of
 the algorithm, while keeping the structure close to the specification
 and providing recommended settings.
 .
 This library was developed as part of python-omemo, a pretty cool
 end-to-end encryption protocol.
 .
 This package provides the Python 3.x module.

## python-doubleratchet 1.0.3

=== debian/changelog ===
python-doubleratchet (1.0.3-1) unstable; urgency=medium

  * New upstream version.
  * Add autopkgtest.

 -- Martin <debacle@debian.org>  Sun, 20 Nov 2022 18:56:07 +0000

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,9 @@
 	dh-python,
 	python3-all,
 	python3-cryptography,
+	python3-pydantic,
+	python3-pytest,
+	python3-pytest-asyncio,
 	python3-setuptools,
 Standards-Version: 4.2.1
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=doubleratchet

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: python3 -m pytest tests
Depends: @, python3-pydantic, python3-pytest, python3-pytest-asyncio
Restrictions: allow-stderr

## python-doubleratchet 1.0.4

=== debian/changelog ===
python-doubleratchet (1.0.4-2) unstable; urgency=medium

  * Build-depend on pydantic >= 2

 -- Martin <debacle@debian.org>  Mon, 05 Aug 2024 22:19:09 +0000

python-doubleratchet (1.0.4-1) unstable; urgency=medium

  * New upstream version
  * Use Testsuite: autopkgtest-pkg-pybuild instead of debian/tests/control

 -- Martin <debacle@debian.org>  Tue, 30 Jul 2024 08:00:06 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh-python,
 	python3-all,
 	python3-cryptography,
-	python3-pydantic,
+	python3-pydantic (>= 2~),
 	python3-pytest,
 	python3-pytest-asyncio,
 	python3-setuptools,
@@ -16,6 +16,7 @@
 Homepage: https://github.com/Syndace/python-doubleratchet
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-doubleratchet.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-doubleratchet
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-doubleratchet
 Architecture: all

## python-doubleratchet 1.1.0

=== debian/changelog ===
python-doubleratchet (1.1.0-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Mon, 31 Mar 2025 19:56:35 +0000

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
 	dh-python,
+	pybuild-plugin-pyproject,
 	python3-all,
 	python3-cryptography,
 	python3-pydantic (>= 2~),

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/Syndace/python-doubleratchet.git \
refs/tags/v@ANY_VERSION@ \
debian

## python-doubleratchet 1.2.0

=== debian/changelog ===
python-doubleratchet (1.2.0-2) unstable; urgency=medium

  * Remove superfluous files under dist-packages

 -- Martin <debacle@debian.org>  Mon, 17 Nov 2025 23:08:11 +0000

python-doubleratchet (1.2.0-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Sun, 16 Nov 2025 20:02:43 +0000

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
 	python3-pydantic (>= 2~),
 	python3-pytest,
 	python3-pytest-asyncio,
+	python3-pytest-cov,
 	python3-setuptools,
 Standards-Version: 4.2.1
-Rules-Requires-Root: no
 Homepage: https://github.com/Syndace/python-doubleratchet
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-doubleratchet.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-doubleratchet

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,7 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+execute_after_dh_auto_install:
+	rm -rf $(CURDIR)/debian/python3-doubleratchet/usr/lib/python3.*/dist-packages/docs/ \
+	    $(CURDIR)/debian/python3-doubleratchet/usr/lib/python3.*/dist-packages/examples/
